/***********************************************/
/*  sysconf.c : system configuration table     */
/***********************************************/

#include "tonegen.h"

// lb_ofs  = log2(min_MIDI_freq) - log2(fs) + Q_phacc - Q_fnumber + 1
//         = 17.031360 - log2(fs)
//         = 17.031360 - log2(20000000 / t1div)
//         = log2(t1div) - 9.070134

// oct_ofs  = floor(lb_ofs)

// note_ofs = 1536 * (lb_ofs - oct_ofs)

const sys_config_st_t sys_config[2][MAX_CONFIG] = {
//
//
 {// poly, t1div, tick1ms, tick4ms, oct_ofs, note_ofs, fs_str}
   {    8,  2572,      28,     112,       2,      397,  "28" },// fs=27.994 kHz
   {   10,  3790,      19,      76,       2,     1256,  "19" },// fs=18.997 kHz
   {   12,  4800,      15,      60,       3,      244,  "15" },// fs=15.000 kHz
   {   14,  6546,      11,      44,       3,      931,  "11" },// fs=10.999 kHz
   {   16,  9000,       8,      32,       4,      101,  " 8" },// fs= 8.000 kHz
 },
//
//
 {// poly, t1div, tick1ms, tick4ms, oct_ofs, note_ofs, fs_str}
   {    8,  2000,      36,     144,       1,     1376,  "36" },// fs=36.000 kHz
   {   10,  2400,      30,     120,       2,      244,  "30" },// fs=30.000 kHz
   {   12,  3000,      24,      96,       2,      738,  "24" },// fs=24.000 kHz
   {   14,  3600,      20,      80,       2,     1142,  "20" },// fs=20.000 kHz
   {   16,  4000,      18,      72,       2,     1376,  "18" },// fs=18.000 kHz
 }
}; // const sys_config_st_t sys_config[]
